Chuyển đến nội dung
Diễn đàn CADViet

anhGeodesy

Thành viên
  • Số lượng nội dung

    91
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    2

Cộng đồng

3 (bình thường)

About anhGeodesy

  • Cấp bậc
    biết vẽ spline

Khách truy cập Tiểu sử gần đây

917 chế độ xem tiểu sử
  1. anhGeodesy

    [Hỏi về AcRxClassName entry is not in the system registry ]

    ** Là do Cad bị lỗi các Bác ạ. Reset Win cài lại cad2020 thì hết bị lỗi này. :<)
  2. anhGeodesy

    [Hỏi về AcRxClassName entry is not in the system registry ]

    (setq tblstyle (vla-addobject (vla-item (vla-get-dictionaries (setq adoc (vla-get-activedocument (vlax-get-acad-object))) ) "Acad_Tablestyle" ) "Block-Count" "AcDbTableStyle" ) ) ; Xin hỏi các cao nhân. Với Lisp thống kê block ST trên diễn đàn , nếu ở Cad 2007 thì chạy ok. Nhưng với Vs Cad 2019-2020 thì lỗi ở hàm : (vla-addobject .... với msg :; error: Automation Error. AcRxClassName entry is not in the system registry ; reset after error Vậy xin hỏi các bác có cách nào khắc phục ko? xin cảm ơn!
  3. anhGeodesy

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    @huunhantvxdts Rất Cảm ơn sự chỉ điểm của Bác.
  4. anhGeodesy

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    @cuongtk2 Cảm ơn Bác đã quan tâm. em ứng dụng vào để tạo text tại tâm Diện tích hàng loạt, tạo Boundary hàng loạt .... Bác có tg giúp em với nhé.
  5. anhGeodesy

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    Ko thấy bác nào giúp đỡ giùm mình với nhỉ? Có bác nào có hướng giả giùm mình với. cảm ơn trước.
  6. Mình đang cần 1 đoạn Lisp tạo các Point giữa từng miền. khi quét các đối tượng : Line. Polyline, Arc. Nhờ các cao thủ giúp mình. cảm ơn nhiều !
  7. anhGeodesy

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Dear Bác @quocmanh04tt Hiện tại em đang cần món này, Vướng cái ContentType như hình dưới đây nhưng chưa biết cách Edit nó. nhờ bác chỉ giáo và Edit . (defun createmultileader (data $stylename / dic obj) (if (not (member $stylename (foreach lstnfo (dictsearch (namedobjdict) "ACAD_MLEADERSTYLE") (if (= 3 (car lstnfo)) (if (not newlst) (setq newlst (list lstnfo)) (setq newlst (append (list lstnfo) newlst))))))) (if (and (setq dic (dictsearch (namedobjdict) "ACAD_MLEADERSTYLE")) (setq dic (cdr (assoc -1 dic))) (setq obj (entmakex data))) (progn (dictremove dic $stylename) (dictadd dic $stylename obj)))) (if (vl-catch-all-error-p (vl-catch-all-apply '(lambda () (vla-put-arrowsymbol $stylename "_Origin2")))) (not (vl-catch-all-error-p (vl-catch-all-apply '(lambda () (vla-put-arrowsymbol $stylename acarrowdefault))))))) (setq shtdata (list (cons 0 "MLEADERSTYLE") (cons 5 "362") (cons 102 "{ACAD_REACTORS") (cons 102 "}") (cons 100 "AcDbMLeaderStyle") (cons 179 2) (cons 170 1) (cons 171 1) (cons 172 0) (cons 90 2) (cons 40 0.0) (cons 41 3.14159) (cons 173 1) (cons 91 -1056964608) (cons 92 -2) (cons 290 1) (cons 42 2.0) (cons 291 1) (cons 43 750.0) (cons 3 "Standard") (cons 44 100.0) (cons 300 "") (cons 174 5) (cons 178 5) (cons 175 1) (cons 176 0) (cons 93 -1073741824) (cons 45 250.0) (cons 292 0) (cons 297 0) (cons 46 4.0) (cons 94 -1056964608) (cons 47 0.75) (cons 49 0.75) (cons 140 0.75) (cons 293 1) (cons 141 0.0) (cons 294 1) (cons 177 0) (cons 142 1.0) (cons 295 0) (cons 296 0) (cons 143 10.0) (cons 271 0) (cons 272 9) (cons 273 9) (cons 298 1))) (createmultileader shtdata "SHT") (princ))
  8. anhGeodesy

    [ Hỏi Code Lisp add thêm giá trị vào Mtext]

    @NTHAHT Cảm ơn bác đã thông não giúp em. xử lý cái chuỗi này nó nhì nhằng thật.
  9. anhGeodesy

    [ Hỏi Code Lisp add thêm giá trị vào Mtext]

    Cháu gửi Bác @Doan Van Ha. File Test add Mtext Cad 2007 test add Mtext.dwg
  10. anhGeodesy

    [ Hỏi Code Lisp add thêm giá trị vào Mtext]

    (defun c:adt () (setvar "cmdecho" 0) (progn (setq lst (entget (car (entsel "\nCHON MTEXT CAN ADD GIA TRI: " ) ) ) ) (setq olditem (assoc 1 lst)) (setq EL (strcat "\\P" (Rtos 2.39 2 2))) (setq newitem (subst (list 1 (car olditem) (cadr olditem) EL) olditem lst ) ) (entmod lst) ) (setvar "cmdecho" 1) (princ) ) Nhờ Bác @Doan Van Ha Thông Não giúp cháu. Cháu đã thử nhưng trình độ còn non.
  11. anhGeodesy

    [ Hỏi Code Lisp add thêm giá trị vào Mtext]

    Nhờ các Bác chỉ giáo: Mình có Mtext có n dòng, muốn add thêm giá trị vào dòng n+1 thì code lisp như thế nào? chân thènh cảm ơn! ví dụ: Ban đầu: (1 . {\C3;Z3.M.HG.53} 2.91 {\C6;0.37}) Sau khi chạy code: thêm giá trị 2.397 (1 . {\C3;Z3.M.HG.53} 2.91 {\C6;0.37\P2.397})
  12. anhGeodesy

    [ Hỏi File cad bị lỗi ]

    @gia_bach Cảm ơn bác. chính xác là Civil 3D
  13. anhGeodesy

    [ Hỏi File cad bị lỗi ]

    Bác @gia_bach xem giùm file này, nếu mở đc xuất qua Cad giúp em với. cảm ơn bác https://drive.google.com/file/d/14xDIJ_vVTLi-8M5aZlJ01dMzT9qrheW6/view?usp=sharing
  14. anhGeodesy

    [ Hỏi File cad bị lỗi ]

    Nhờ các cao nhân chỉ giúp. Mình xin đc file Thiết kế Đường này mà mở trên cad thì nó không hiển thị được nội dung, mà nó hiển thị như này. có cao nhân nào có thuốc đặc trị ko ? Nó được vẽ trên phần mềm nào? xin đc chỉ giáo, đang cần gấp. xin chân thành cảm ơn.
×